@import "tt_content_tables.css";

/****************************************************************************************
# Default css file for content edited with htmlArea RTE
#
# Defines a few class selectors that can be simply taken as examples by anyone who needs to configure the RTE.
# This css file is referenced by property RTE.default.contentCSS in the default configuration of htmlArea RTE.
# ***************************************************************************************/

/* Left, center, right and justify alignment of text in block elements*/
p.align-left, td.align-left, th.align-left, h1.align-left, h2.align-left, h3.align-left, h4.align-left, h5.align-left, h6.align-left, div.align-left, address.align-left { text-align: left; }
p.align-center, td.align-center, th.align-center, h1.align-center, h2.align-center, h3.align-center, h4.align-center, h5.align-center, h6.align-center, div.align-center, address.align-center { text-align: center; }
p.align-right, td.align-right, th.align-right, h1.align-right, h2.align-right, h3.align-right, h4.align-right, h5.align-right, h6.align-right, div.align-right, address.align-right { text-align: right; }
p.align-justify, td.align-justify, th.align-justify, h1.align-justify, h2.align-justify, h3.align-justify, h4.align-justify, h5.align-justify, h6.align-justify, div.align-justify, address.align-justify { text-align: justify; }

/* Examples taken from the example CSS file of CSS Styled Content extension and applied to p and table block elements.*/
p.csc-frame-frameA, table.csc-frame-frameA { background-color: #EDEBF1; padding: 2px 4px 2px 4px; border: 1px solid #333333; }
p.csc-frame-frameB, table.csc-frame-frameB { background-color: #F5FFAA; padding: 2px 4px 2px 4px; border: 1px solid #333333; }
p.csc-frame-frameC, table.csc-frame-frameC { color: #FFFFFF; background-color: #F45151; padding: 2px 4px 2px 4px; border: 1px solid #333333; }
/* p.csc-frame-frameD, table.csc-frame-frameD { color: #000; background-color: #D7F6D6; padding: 20px 10px; border-radius: 10px; } */
p.csc-frame-frameD, table.csc-frame-frameD { background-color: #D7F6D6; padding: 2px 4px 2px 4px; border: 1px solid #333333; }

/* Bullet styles for unordered lists.*/
ul.unordered-list-disc { list-style-type: disc; }
ul.unordered-list-circle { list-style-type: circle; }
ul.unordered-list-square { list-style-type: square; }
ul.unordered-list-none { list-style-type: none; }

/* Numbering styles for ordered lists.*/
ol.ordered-list-number { list-style-type: decimal; }
ol.ordered-list-upper-alpha { list-style-type: upper-alpha; }
ol.ordered-list-lower-alpha { list-style-type: lower-alpha; }
ol.ordered-list-upper-roman { list-style-type: upper-roman; }
ol.ordered-list-lower-roman { list-style-type: lower-roman; }
ol.ordered-list-none { list-style-type: none; }

/* Inline text colors taken from the color scheme of CSS Styled Content extension.*/
span.important { color: #ff0000; font-weight: bold; }
span.style1 { color: #808000; }
span.style2 { color: #FF8C00; font-weight: bold; }
span.small-font { font-size: 0.85em; }

/* Selectors for the default configuration of the link accessibity feature.*/
.htmlarea-content-body a {color: #395976;}
a.blue-link {color: blue; text-decoration: underline; }
a.external-link {}
a.external-link-new-window {}
a.internal-link {}
a.internal-link-new-window {}
a.download {}
a.mail {}

/* Default selector for indentation.*/
div.indent { margin-left: 2em; }

/* Added by CC */
.rte-link {
  font-size: 1.2em; 
}

pre {
  display: block;
  padding: 9.5px;
  margin: 0 0 10px;
  font-size: 13px;
  line-height: 1.42857143;
  color: #333;
  word-break: break-all;
  word-wrap: break-word;
  background-color: #f5f5f5;
  border: 1px solid #ccc;
  border-radius: 4px;
}

/* This is for RTE Tables */
table.table-condensed {
}
table.table-bordered-rte {
}
table.table-bordered-dark-rte {
}
table.table-striped-rte {
}
table.table-hover-rte {
}
table.table-none-rte {
}

